> For the complete documentation index, see [llms.txt](https://docs.healthsherpa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/deeplinking-to-plan-quoting.md).

# Deeplinking to Plan Quoting

#### Getting Started <a href="#step-1-environment-staging-or-production" id="step-1-environment-staging-or-production"></a>

After indicating your interest in deeplinking, HealthSherpa will review your request. If your agency is in good standing with HealthSherpa and CMS, we'll contact you with information on how to access HealthSherpa's staging environment for development and testing.&#x20;

#### Environment: Staging or Production <a href="#step-1-environment-staging-or-production" id="step-1-environment-staging-or-production"></a>

| Environment | URL                                |
| ----------- | ---------------------------------- |
| Production  | `https://www.healthsherpa.com`     |
| Staging     | `https://staging.healthsherpa.com` |

#### Shop (Deeplink) Flow <a href="#step-2-shop-deeplink-flow" id="step-2-shop-deeplink-flow"></a>

In the future, there may be multiple entry points into HealthSherpa’s flow. For agencies using [HealthSherpa.com](http://healthsherpa.com/), the entry point is into the shopping step, specifically the plan list.

| URL | `/public/shop` |
| --- | -------------- |

Example URL: `https://staging.healthsherpa.com/public/shop`

#### Allowlist your staging agency <a href="#allowlist-your-staging-agency" id="allowlist-your-staging-agency"></a>

For deeplinking to work with your specific test agency in our staging environment, it first must be allowlisted.&#x20;

If you're using our example \_\_agent\_id in the following pages, great, that will work right away.

If we provided you with unique staging accounts, they have been allowlisted already.

{% hint style="info" %}
In production, after CMS approval and as the last step before going live, we'll allowlist your agency (or your agency and downline) for deeplinking.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/deeplinking-to-plan-quoting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
